API reference OpenAPI 3.1
GET /customers/{id}/risk

Get risk

Bearer API key or staff session operation getRisk

Parameters

NameInTypeRequiredDescription
id path string Yes —

Request

This endpoint has no request body.

curl "$MONICHEK_API/customers/{id}/risk" \
  -H "Authorization: Bearer $MONICHEK_API_KEY"
const res = await fetch(`${MONICHEK_API}/customers/{id}/risk`, {
  method: "GET",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
  },
});

const data = await res.json();
import os
import requests

res = requests.get(
    f"{os.environ['MONICHEK_API']}/customers/{id}/risk",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/customers/{id}/risk');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
    ],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Replace {id} with the resource id.

Responses

200 OK risk application/json
{
  "score": 40,
  "band": "high",
  "history": [
    {
      "score": 40,
      "band": "high",
      "factors": {
        "screening_hit": 25,
        "kyc_tier2": 5,
        "pep": 0
      },
      "created_at": "2026-10-07T12:00:00Z"
    }
  ]
}

Error responses

StatusMeaningBody
401 Unauthorized RFC 9457 problem
404 Not Found RFC 9457 problem

Errors use the RFC 9457 problem format with a stable code.